> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/weekly-balance/send-sales-figures-hourly.md).

# Send sales figures (hourly)

Send sales figures for a specific day/hour.

* Sales figures are delivered for a single day per call.
* Expenses/deposits must be referenced with correct groups. **Please note that you must confirm the day for ALL registers after saving the numbers**. Otherwise, these numbers will not be used for any other calculations in the system.
* Hourly sales figures registered at 10:00:00 are the total or summary of values between 10:00:00-10:59:59.
* Hourly sales figures can be sent by adding "time" attribues to the daily structure. Hourly based reporting must be enabled in the Weekly balance admin page before sending.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/weekly_balance/save_hourly/{date}/{hour}/{register_number}":{"post":{"tags":["Weekly balance"],"summary":"Send sales figures (hourly)","description":"Send sales figures for a specific day/hour.\n- Sales figures are delivered for a single day per call.\n- Expenses/deposits must be referenced with correct groups. **Please note that you must confirm the day for ALL registers after saving the numbers**. Otherwise, these numbers will not be used for any other calculations in the system.\n- Hourly sales figures registered at 10:00:00 are the total or summary of values between 10:00:00-10:59:59.\n- Hourly sales figures can be sent by adding \"time\" attribues to the daily structure.  Hourly based reporting must be enabled in the Weekly balance admin page before sending.","operationId":"post-clientToken-weekly_balance-save_hourly-date-hour-register_number","parameters":[{"name":"clientToken","in":"path","description":"Please use the full clienttoken (c-part and d-part) to ensure that you send the data to the right department. Example c1234d4321","required":true,"schema":{"type":"string"}},{"name":"date","in":"path","description":"YYYY-MM-DD","required":true,"schema":{"type":"string"}},{"name":"hour","in":"path","description":"hh","required":true,"schema":{"type":"string"}},{"name":"register_number","in":"path","description":"Number of the register. 1=Register 1, 2=Register 2 and so on","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SalesFiguresHourly"}}}},"responses":{"204":{"description":"No Content","content":{}}}}}},"components":{"schemas":{"SalesFiguresHourly":{"title":"SalesFiguresHourly","required":["lines"],"type":"object","properties":{"comments":{"type":"string"},"lines":{"type":"array","description":"Id of the weekly balance field\n","items":{"required":["field_id"],"type":"object","properties":{"field_id":{"type":"number","description":"Value of the weekly balance field"},"value":{"type":"number"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/weekly-balance/send-sales-figures-hourly.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
